#ifndef _UTILS_H
#define _UTILS_H

#include <asm/types.h>
#include <stdio.h>

unsigned int snet_debug;

#define snet_dbg(file, a, fmt, arg...)			\
	do {                                            \
		if (a <= snet_debug)	\
			fprintf(stderr, "%s: " fmt,	\
				__FUNCTION__, ## arg);  \
	} while(0)

/* void snet_dbg(FILE *file, unsigned int level, const char *fmt, ...); */

const char *snet_syscall_name(const __u8 syscall);
const char *snet_cmd_name(const __u8 cmd);
const char *snet_verdict_name(const __u8 cmd);

int get_taskname(unsigned int pid, char *p, unsigned int psize);

#endif /* _UTILS_H */
